CampaignsLeads
Query Campaign Leads
AuthorizationBearer <token>
In: header
Path Parameters
campaign_idstring
Header Parameters
x-tenant-id?string|null
filters?
Default
[]search?string|null
sort_by?string
Default
"icp_score"Value in
"name" | "headline" | "approval_status" | "created_at" | "location" | "connections_count" | "follower_count" | "is_premium" | "title" | "company" | "industry" | "company_size" | "company_location" | "company_tagline" | "company_founded_year" | "icp_score" | "icp_tier" | "campaign_lead_status" | "connection" | "reply" | "sender" | "current_node" | "rate_limited_by" | "has_pending_approval"sort_dir?string
Default
"desc"Value in
"asc" | "desc"page?integer
Default
1Range
1 <= valuepage_size?integer
Default
50Range
1 <= value <= 100campaign_lead_status?|null
queued_at_node_id?string|null
action_node_id?string|null
action_status?string|null
lead_id?string|null
has_pending_approval?boolean|null
connection_state?|null
message_replied?boolean|null
rate_limited_by?|null
assigned_sender_id?|null
Response Body
application/json
application/json
curl -X POST "https://api.obert.io/api/campaigns/string/leads/query" \ -H "Content-Type: application/json" \ -d '{}'{
"data": [
{
"lead_id": "string",
"provider_id": "string",
"name": "string",
"headline": "string",
"profile_url": "string",
"profile_picture_url": "string",
"profile_data": {},
"custom_data": {},
"current_account": {
"account_id": "string",
"name": "string",
"logo_url": "string",
"linkedin_url": "string",
"linkedin_username": "string",
"industry": "string",
"staff_count_range": "string",
"title": "string",
"tagline": "string",
"founded_year": 0,
"description": "string",
"location": "string"
},
"list_scores": [],
"intent": {
"id": "string",
"event_type": "string",
"event_data": {},
"signal_run_id": "string",
"lead_list_id": "string",
"signal_id": "string",
"created_at": "2019-08-24T14:15:22Z"
},
"import_job_id": "string",
"approval_status": "approved",
"created_at": "2019-08-24T14:15:22Z",
"chat_id": "string",
"resolved_timezone": "string",
"timezone_label": "string",
"lists": [
{
"list_id": "string",
"list_name": "string",
"item_id": "string"
}
],
"campaigns": [],
"id": "string",
"campaign_id": "string",
"status": "pending",
"context": {
"connection_accepted": false,
"message_replied": false,
"message_viewed": false,
"is_open_profile": false,
"already_connected": false,
"connection_skipped": false,
"intent_signals": []
},
"paused": false,
"next_execute_at": "2019-08-24T14:15:22Z",
"assigned_sender_id": "string",
"assigned_sender_name": "string",
"assigned_sender_profile_picture_url": "string",
"current_node_id": "string",
"current_node_type": "string",
"current_node_label": "string",
"failure_type": "string",
"failure_reason": "string",
"rate_limited_by": "string",
"scheduled_reason": "string",
"has_pending_approval": false,
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"has_more": false,
"page": 1,
"page_size": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}